## markdown-it-py 3.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# raise warnings to errors
html-strict:
	@$(SPHINXBUILD) -b html -nW --keep-going "$(SOURCEDIR)" "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)

# increase logging level to verbose
html-verbose:
	@$(SPHINXBUILD) -b html -v "$(SOURCEDIR)" "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)

## markdown-it-py 1.1.0

=== debian/changelog ===
markdown-it-py (1.1.0-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Jan 2022 12:30:49 -0500

markdown-it-py (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: 997044).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 25 Oct 2021 16:07:05 +0000

=== debian/control ===
Source: markdown-it-py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-attr,
               python3-commonmark <!nocheck>,
               python3-markdown <!nocheck>,
               python3-mistletoe <!nocheck>,
               python3-mistune <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-regressions <!nocheck>,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Homepage: https://github.com/executablebooks/markdown-it-py
Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-it-py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-it-py

Package: python3-markdown-it
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Python port of markdown-it and some its associated plugins
 High speed Python markdown parser based in markdown-it. markdown-it-py
 follows the CommonMark spec for baseline parsing. Also, new syntax
 rules can be added and even replace existing ones. New syntax extensions
 can be added to extend the parser.

=== debian/rules ===
#! /usr/bin/make -f


# ignore linkify tests until linkify is package in Debian #997970
export PYBUILD_TEST_ARGS=--ignore tests/test_linkify.py \
						--ignore tests/test_port/test_fixtures.py \
						-k 'not test_linkify'
export PYBUILD_NAME=markdown-it-py


PYTHON3S:=$(shell py3versions -vr)


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. python$$pyvers -m pytest benchmarking/bench_core.py benchmarking/bench_packages.py ;\
	done
endif

=== debian/tests/control ===
Tests: unittests
Depends: @,
         @builddeps@,

## markdown-it-py 2.0.1

=== debian/changelog ===
markdown-it-py (2.0.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-mdurl as dependency.
  * d/copyright: Add copyright entry for markdown_it/_punycode.py file.
  * d/control: Remove python3-pytest-cov package as build deps.
    - It's not used during build.
  * d/tests/control: Stop using @builddeps@. Add python3-all, 
    python3-commonmark, python3-markdown, python3-mistletoe,
    python3-mistune, python3-psutil, python3-pytest,
    python3-pytest-benchmark, python3-pytest-regressions as Depends.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 26 Mar 2022 13:55:59 -0300

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                python3-attr,
                python3-commonmark <!nocheck>,
                python3-markdown <!nocheck>,
+               python3-mdurl,
                python3-mistletoe <!nocheck>,
                python3-mistune <!nocheck>,
                python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
-               python3-pytest-cov <!nocheck>,
                python3-pytest-regressions <!nocheck>,
                python3-setuptools,
                python3-sphinx,

## markdown-it-py 2.1.0

=== debian/changelog ===
markdown-it-py (2.1.0-5) unstable; urgency=high

  * d/paches: Add patches from upstream to fix CVE-2023-26302 and
    CVE-2023-26303 (Closes: #1031764).
    - The patches added are:
      0001-fix-unnecessary-asserts-leading-to-crashes.patch and
      0002-fix-dos-casued-by-invalid-utf-8-char-as-input.patch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 31 Mar 2023 07:50:42 -0300

markdown-it-py (2.1.0-4) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.

  [ Debian Janitor ]
  * Trim trailing whitespace.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Oct 2022 10:49:00 -0400

markdown-it-py (2.1.0-3) unstable; urgency=medium

  * d/control: Version flit in build depends to be according to
    pyproject.toml (Closes: #1013204).
    - Patch provided by David Paul <davidpaul@librem.one>.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 21 Jul 2022 11:38:34 -0300

markdown-it-py (2.1.0-2) unstable; urgency=medium

  * source-only upload

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 22 May 2022 11:05:59 -0300

markdown-it-py (2.1.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Build with pybuild's pyproject plugin. Add
    pybuild-plugin-pyproject as Build Depends.
    - Add flit as Build Dependency. Remove setuptools, it's not longer used.
  * d/copyright: Update Copyright year for debian/* files.
  * d/salsa-ci.yml: Re-introduce the salsa-ci file.
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0.1; no changes
    needed).
  * d/control: Remove trivial autopkgtest-pkg-python.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 19 May 2022 11:22:59 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               flit (<< 4),
+               flit (>= 3.2),
+               pybuild-plugin-pyproject,
                python3-all,
                python3-attr,
                python3-commonmark <!nocheck>,
@@ -16,10 +18,8 @@
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-regressions <!nocheck>,
-               python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.0.1
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/executablebooks/markdown-it-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-it-py.git

=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-commonmark,
         python3-markdown,
         python3-mistletoe,
         python3-mistune,
         python3-psutil,
         python3-pytest,
         python3-pytest-benchmark,
         python3-pytest-regressions,
         @,

## markdown-it-py 3.0.0

=== debian/changelog ===
markdown-it-py (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add explicitely dependency on python3-linkify-it
    & enable related tests (Closes: #1065508)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 May 2025 15:08:32 +0200

markdown-it-py (3.0.0-2) unstable; urgency=medium

  * d/control: Add Breaks for python3-mdit-py-plugins << 0.4.0-1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 19 Jun 2023 10:24:55 -0300

markdown-it-py (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Remove patches that was already applied by upstream:
    - 0001-fix-unnecessary-asserts-leading-to-crashes.patch
    - 0002-fix-dos-casued-by-invalid-utf-8-char-as-input.patch
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1; no changes
    needed).
  * d/copyright: Update the Copyright year for debian/* files.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 17 Jun 2023 10:22:04 -0300

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-all,
                python3-attr,
                python3-commonmark <!nocheck>,
+               python3-linkify-it <!nocheck>,
                python3-markdown <!nocheck>,
                python3-mdurl,
                python3-mistletoe <!nocheck>,
@@ -19,7 +20,7 @@
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-regressions <!nocheck>,
                python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/executablebooks/markdown-it-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-it-py.git
@@ -29,6 +30,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-linkify-it,
+Breaks: python3-mdit-py-plugins (<< 0.4.0-1),
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},
 Description: Python port of markdown-it and some its associated plugins

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,5 @@
 #! /usr/bin/make -f
 
-
-# ignore linkify tests until linkify is package in Debian #997970
-export PYBUILD_TEST_ARGS=--ignore tests/test_linkify.py \
-						--ignore tests/test_port/test_fixtures.py \
-						-k 'not test_linkify'
 export PYBUILD_NAME=markdown-it-py
